#if !defined(AFX_MYCOMBOBOX_H__56C9B4AD_21FA_42F6_8110_9F78199402BE__INCLUDED_)
#define AFX_MYCOMBOBOX_H__56C9B4AD_21FA_42F6_8110_9F78199402BE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MyComboBox.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMyComboBox window

class CMyComboBox : public CComboBox
{
// Construction
public:
	CMyComboBox();

// Attributes
public:
	CString m_LastString;
	int m_CurSel;
//	CValueListContext* m_pVLCont;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMyComboBox)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMyComboBox();

	// Generated message map functions
protected:
	//{{AFX_MSG(CMyComboBox)
	afx_msg void OnEditchange();
	afx_msg void OnSelchange();
	afx_msg void OnKillfocus();
	afx_msg void OnEditUpdate();
	//}}AFX_MSG

	CEdit* GetEditCtrl();
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYCOMBOBOX_H__56C9B4AD_21FA_42F6_8110_9F78199402BE__INCLUDED_)
